## debian-installer 20110106+squeeze3

=== debian/changelog ===
debian-installer (20110106+squeeze3) squeeze; urgency=high

  * Rebuild against updated linux-kernel-di-*-2.6, adding drivers
    hpsa, pm8001 and bna.

 -- dann frazier <dannf@debian.org>  Wed, 22 Jun 2011 07:35:38 -0600

debian-installer (20110106+squeeze2) squeeze; urgency=high

  * Add pata-modules to cdrom config for ia64. Closes: #622187

 -- dann frazier <dannf@debian.org>  Fri, 17 Jun 2011 14:53:19 -0600

debian-installer (20110106+squeeze1) squeeze; urgency=low

  [ Jurij Smakov ]
  * Add pata-modules to cdrom config for sparc and sparc64.
    Closes: #610906.

  [ Martin Michlmayr ]
  * qnap-flash-debian: recognize QNAP TS-x12 devices.
  * lspro-config-debian: Exit if the firmware version cannot be
    determined.  Thanks John Bytheway.  Closes: #609476

 -- Julien Cristau <jcristau@debian.org>  Sun, 13 Mar 2011 21:31:36 +0100

debian-installer (20110106) unstable; urgency=low

  * Use SpaceFun theme. Closes #603554.
  * Update Linux kernel to 2.6.32-29.

 -- Otavio Salvador <otavio@debian.org>  Thu, 06 Jan 2011 09:37:41 -0200

debian-installer (20101127) unstable; urgency=low

  [ Christian Perrier ]
  * Add pata-modules to powerpc builds to properly support
    YDL Powerstation. Thanks to Milan Kupcevic. Closes: #603893
  * Add ttf-lao-udeb to graphical installer to properly support the Lao
    language

 -- Otavio Salvador <otavio@debian.org>  Sat, 27 Nov 2010 15:18:28 -0200

debian-installer (20101121) unstable; urgency=low

  [ Otavio Salvador ]
  * Enable localudebs usage again since #600852 has been fixed.
  * Add VCS-Browser field to debian.control. Closes: #601908

  [ Martin Michlmayr ]
  * LS Pro: /boot can be ext3 too.  Thanks Ryan Tandy.

  [ Otavio Salvador ]
  * Update Linux kernel udebs for 2.6.32-27.
  * sparc/sparc64: put input-modules into initrd. Closes: #602740

  [ Colin Watson ]
  * geniso_hybrid_plus_firmware_partition: Cope if the disk size exceeds
    32MB.  (The previous code seems to have misunderstood isohybrid's
    defaults slightly, but we now just specify the full CHS geometry
    explicitly in case anything changes in the future.)

  [ Christian Perrier ]
  * Add ttf-sinhala-lklug-udeb to graphical installer to properly
    support the Sinhala language

  [ Otavio Salvador ]
  * Document SPLASH_PNG variable for build configuration.

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Nov 2010 15:53:25 -0200

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.8.3
Vcs-Git: git://git.debian.org/d-i/debian-installer.git
Vcs-Browser: http://git.debian.org/?p=d-i/debian-installer.git;a=summary
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 7.0.0), apt, apt-utils, gnupg, debian-archive-keyring (>= 2006.11.22), dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xml, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64], cramfsprogs [powerpc ia64 mips mipsel armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), genisoimage [!s390 !s390x], genromfs [sparc sparc64], hfsutils [powerpc], dosfstools [i386 ia64 m68k amd64], cpio, devio [armeb armel], slugimage (>= 0.10+r58-6) [armeb armel], dns323-firmware-tools [armel], uboot-mkimage [armel], syslinux (>= 2:4.02) [i386 amd64], palo [hppa], elilo [ia64], yaboot [powerpc], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc sparc64], genisovh [mips], tip22 [mips], colo [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [armeb armel], tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64], mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386], module-init-tools [i386 armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc s390 sh4 sparc sparc64], bf-utf-source [!s390 !s390x], mkvmlinuz [powerpc], openssl [armel], win32-loader [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386], makefs [kfreebsd-i386 kfreebsd-amd64], grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386], xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386], debian-ports-archive-keyring [sh4 sparc64]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 7.0.0)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- debian-archive-keyring (>= 2006.11.22)
#		To provide the archive key for security checks.
#	- dctrl-tools
#		Various manipulations of the udeb Packages files.
#	- wget
#		Used to test validity of mirrors.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- xsltproc
#	- docbook-xml
#	- docbook-xsl
#		The d-i internals manual is in DocBook XML.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	
# Library build dependencies:
#	- glibc-pic
#		For library reduction.
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [i386 amd64]
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		On i386 
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ia64 mips mipsel armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.25)
#		We use mklibs for library reduction.
#	- genisoimage [!s390 !s390x]
#		For making mini isos.
#	- genromfs [sparc sparc64]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools [i386 ia64 m68k amd64]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#	- cpio
#		For creating initramfs images.
#	- devio [armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- slugimage (>= 0.10+r58-6) [armeb armel]
#		For building nslu2 firmware images.
#	- dns323-firmware-tools [armel]
#		For building firmware images for the D-Link DNS-323.
#	- uboot-mkimage [armel]
#		For creating u-boot images
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 2:4.02) [i386 amd64]
#		With isohybrid.
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc sparc64]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo [mipsel]
#		For booting Cobalt machines.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- apex-nslu2 [armeb armel]
#		2nd stage bootloader for Linksys NSLU2.
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#
#	- module-init-tools [i386 armeb armel amd64 alpha hppa ia64 m68k mips mipsel powerpc s390 sh4 sparc sparc64]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- mkvmlinuz [powerpc]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl [armel]
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it.
#	- win32-loader [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#		Alternative boot method for win32 platforms.
#	- makefs [kfreebsd-i386 kfreebsd-amd64]
#		Used to create an UFS1 filesystem from a directory tree.
#	- grub-pc (>= 1.98~20100101-1) [kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#		Used as the CD-ROM's bootloader
#       - xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386]
#               Used by grub-pc to create the CD-ROM images
#	- debian-ports-archive-keyring [sh4 sparc64]
#		Used for architectures hosted on debian-ports.org

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#! /usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=unstable
TRANSSTATUS=
BOOTMENU_BEEP=n
else
USE_UDEBS_FROM=squeeze
USE_PROPOSED_UPDATES=1
TRANSSTATUS=translation-status
BOOTMENU_BEEP=y
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(DATE)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

clean:
	dh_testdir
	dh_testroot
	dh_clean
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(DATE) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20110106+squeeze4

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM
endif

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))

# Overridden in config/hurd.cfg
define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING
export KERNELVERSION
export LOCALUDEBDIR

ifneq ($(shell id -u),0)
  ROOTCMD ?= fakeroot
endif

# Useful command sequences
define submake
  $(ROOTCMD) $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED) $(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED)$(if $(RECURSE_EXTRA),$($(1)_SUPPORTED_EXTRA)),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define mkfs.ufs1
  sh -c 'makefs -t ffs -s 42m -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)$(SUBARCH_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) $(SUBARCH_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)$(MEDIUM_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) $(MEDIUM_SUPPORTED_EXTRA) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)$(FLAVOUR_SUPPORTED_EXTRA)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) $(FLAVOUR_SUPPORTED_EXTRA) | grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list RECURSE_EXTRA=1

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS
	cd $(BASE_DEST) && md5sum `find . -type f` > MD5SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	@[ -d ../debian ] || { echo "directory '../debian' not found; complete source of 'debian-installer' package is required"; false; }
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
		if [ "$$olddate" ]; then \
			if [ $$(( $$(date -u "+%s") - \
			          $$(date -d "$$olddate" "+%s") \
			       )) -gt 1209600 ]; then \
				echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
				echo "         Should it maybe be updated?"; \
				sleep 15; \
			fi; \
		else \
			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
			sleep 15; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

ifeq ($(DEB_HOST_ARCH_OS),linux)
ifdef KERNELVERSION
	# Set up modules.dep, ensure there is at least one standard dir (kernel
	# in this case), so depmod will use its prune list for archs with no
	# modules.
	set -e; \
	$(foreach VERSION,$(KERNELVERSION), \
		sysmap_name=; sysmap_opt=; \
		if [ -n "$(VERSIONED_SYSTEM_MAP)" ]; then \
			[ ! -e $(TREE)/boot/System.map-$(VERSION) ] || sysmap_name="$(TREE)/boot/System.map-$(VERSION)"; \
		else \
			[ ! -e $(TREE)/boot/System.map ] || sysmap_name="$(TREE)/boot/System.map"; \
		fi; \
		[ -z "$$sysmap_name" ] || sysmap_opt="-F $$sysmap_name"; \
		if [ -d $(TREE)/lib/modules/$(VERSION) ] && [ -z "$(OMIT_DEPMOD)" ]; then \
			mkdir -p $(TREE)/lib/modules/$(VERSION)/kernel; \

=== debian/changelog ===
debian-installer (20110106+squeeze4) squeeze; urgency=low

  [ Joey Hess ]
  * Adjust syslinux menu layout to avoid it falling off the bottom of the
    screen. Thanks, Flavio Stanchina. Closes: #650979

  [ dann frazier ]
  * Rebuild against updated dependencies, including:
     - linux-kernel-di-*-2.6: adding drivers et131x, isci, xhci-hcd
     - base-installer: adds POWER7 to the powerpc64 family
     - libdebian-installer: detect IBM pSeries platform as powerpc/chrp_ibm
  
 -- dann frazier <dannf@debian.org>  Sun, 22 Jan 2012 10:36:33 -0700

## debian-installer 20130430

=== debian/changelog ===
debian-installer (20130430) unstable; urgency=low

  [ Aurelien Jarno ]
  * Include virtio-modules in sparc and sparc64 netboot images (Closes: #704672).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 30 Apr 2013 23:10:12 +0200

debian-installer (20130415) unstable; urgency=low

  [ Aurelien Jarno ]
  * Include nic-modules in armhf/vexpress netboot image.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 15 Apr 2013 20:35:44 +0200

debian-installer (20130412) unstable; urgency=low

  [ Samuel Thibault ]
  * internal.xml: Point at the repository README instead of duplicating
    checkout information.

  [ Ben Hutchings ]
  * Include {ata,mtd,pata,sata}-modules in mx5 netboot image (Closes: #675017)
  * Replace nic-modules with nic-{usb,wireless}-modules in armhf netboot
    images (Closes: #705118)

  [ Cyril Brulebois ]
  * Amend previous changelog entry to mention that the added vexpress
    image is a netboot one.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 12 Apr 2013 17:39:04 +0200

debian-installer (20130409) unstable; urgency=low

  [ Aurelien Jarno ]
  * Build a netboot vexpress image on armhf.

  [ Christian Perrier ]
  * Update translation-status, computed with a fixed calc-release-status
    script.

  [ Cyril Brulebois ]
  * For reference, build against linux 3.2.41-2.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 09 Apr 2013 16:45:49 +0200

debian-installer (20130211) unstable; urgency=low

  [ Joey Hess ]
  * When building with localudebs, only disable secure apt checking for that
    repository, while keeping it working for network repositories,
    by using [trusted=yes] in sources.list.udeb. Closes: #696168

  [ Wouter Verhelst ]
  * Bring m68k back from the dead:
    - Use current kernel versions.
    - Point to debian-ports.org for now.
    - s/atari-ekmap/ataritt-ekmap/, since the former packages don't exist.

  [ Cyril Brulebois ]
  * Apply patch from Steven Chamberlain (thanks!) to fix PXE configuration
    on kfreebsd-* for the netboot-9 images: build/config/kfreebsd.cfg is
    now responsible for generating proper entries based on the
    build/boot/kfreebsd/grub-kfreebsd-pxe.cfg template. Closes: #696780
  * Update translation-status for d-i wheezy rc1.

  [ Steven Chamberlain ]
  * Decrease kfreebsd-amd64's MFSROOT_LIMIT to 72MiB, to allow 128MiB-memory
    installation (Closes: #696786).

  [ Steve McIntyre ]
  * Tweak EFI video setup at boot time:
    - Try 800x600 as the default EFI video mode, some machines don't do
      640x480

 -- Cyril Brulebois <kibi@debian.org>  Mon, 11 Feb 2013 22:26:19 +0100

debian-installer (20121114) unstable; urgency=low

  [ Philipp Kern ]
  * Update to 3.2.0-4 linux ABI.

  [ Samuel Thibault ]
  * Reduce "1GiB key" images to just below 1GB.

  [ Cyril Brulebois ]
  * Apply patch from Arnaud Patard to include Hyper-V linux kernel udebs
    on cdrom and netboot images for am64 and i386 (Closes: #690978). This
    is needed after a kernel change on the ata_piix side (cd006086fa in
    mainline).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 14 Nov 2012 14:56:37 +0100

debian-installer (20120930) unstable; urgency=low

  [ Samuel Thibault ]
  * Drop outdated documentation about brltty.
  * Add console-setup-linux-fonts-udeb to speakup-enabled images
    (closes: #684473).
  * Document that new languages need to specify a console-setup font name to
    be loaded.
  * Pull netdde-udeb instead of nic-modules on hurd-i386, the former providing
    the latter does not seem enough.

  [ Cyril Brulebois ]
  * Apply patch from Paul Tagliamonte, updating the Joy pictures to use
    the correct brand; the Debian logo is now DFSG free.
  * When SPLASH_PNG is set, search for a matching SPLASH_SVG; if it's
    found, call rsvg-convert to generate the PNG file. Clean those on
    reallyclean. Add librsvg2-bin build-dep for rsvg-convert, restricted
    to any-{amd64,i386} (splash is used on x86, kfreebsd, and hurd).
  * Remove build/boot/{x86,kfreebsd,hurd}/pics/joy-hurd.png accordingly.
  * Fix broken kfreebsd-9 CD gtk install menuentry (add gtk/), thanks to
    Steven Chamberlain (Closes: #686858).
  * Bump MFSROOT_LIMIT from 64m to 128m for kfreebsd-amd64, thanks to Steven
    Chamberlain (Closes: #686861).
  * Add myself to Uploaders.

  [ Aurelien Jarno ]
  * Install wheezy by default instead of sid on armhf and s390x.

  [ Steve McIntyre ]
  * Add EFI support:
    - Add code to create bootable EFI images.
    - Add definitions for amd64 and i386 (disabled for the latter).
    - Add grub-efi.cfg
    - Add build-deps: grub-efi-{amd64,i386}-bin, grub-common, xorriso.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 30 Sep 2012 06:33:54 +0200

debian-installer (20120828) unstable; urgency=low

  [ Cyril Brulebois ]
  * Team upload.

  [ Robert Millan ]
  * Bump kFreeBSD ABI.

  [ Julien Cristau ]
  * Switch from module-init-tools-udeb to libkmod2-udeb (closes: #683790)
  * Don't remove modules.{dep,alias}.bin from /lib/modules/*, without them
    kmod doesn't load any module.  Instead remove the non-.bin files, which
    aren't necessary.  Thanks to Didier Raboud for the report and help.

  [ Didier Raboud ]
  * Fix typo in the fix for the kfreebsd empty line in Grub.
    (Closes: #680850)

  [ Ian Campbell ]
  * Add netboot images for kirkwood/dreamplug platform.

  [ Samuel Thibault ]
  * Fix gnu-mach-color terminfo into mach-gnu-color.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 28 Aug 2012 09:44:42 +0200

debian-installer (20120712) unstable; urgency=low

  [ Cyril Brulebois ]
  * Team upload.

  [ Julien Cristau ]
  * Update to 3.2.0-3 linux ABI.
  * Follow symlinks when generating checksum files, so the guruplug paths are
    included.  Thanks, Didier Raboud.

  [ Didier Raboud ]
  * Switch the boot backgrounds to the Wheezy joy theme.

  [ Steven Chamberlain ]
  * Fix the place of the kfreebsd empty line in Grub (Closes: #680850).

  [ Samuel Thibault ]
  * Add console-setup-udeb to hurd-i386.



=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 TRANSSTATUS=
 BOOTMENU_BEEP=n
 else
-USE_UDEBS_FROM=squeeze
-USE_PROPOSED_UPDATES=1
+USE_UDEBS_FROM=wheezy
+USE_PROPOSED_UPDATES=0
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif
@@ -34,7 +34,7 @@
 		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
 		USE_PROPOSED_UPDATES=$(USE_PROPOSED_UPDATES) \
 		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
-	
+
 build: build-stamp
 build-stamp:
 	rm -f $@
@@ -47,7 +47,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	
+
 	debian/rules build-images
 
 	install -d $(IMAGEDIR)
@@ -62,6 +62,9 @@
 		-X internals.xml -X partman-doc.sgml
 	dh_compress
 	dh_fixperms
+
+	./build/util/write-built-using
+
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## debian-installer 20130613

=== build/Makefile ===
--- 
+++ 
@@ -62,7 +62,8 @@
 DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM
+DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
 endif
 
 # We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
@@ -126,16 +127,21 @@
   (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
 endef
 
+# Limit on mfsroot size. It is determined by NKPT (in <machine/pmap.h).
+# On amd64, it can be increased by increasing this variable.  On i386,
+# this is a hard limit due to constraints of 4 GiB VM space.
+ifeq ($(DEB_HOST_ARCH),kfreebsd-i386)
+MFSROOT_LIMIT := 42m
+else ifeq ($(DEB_HOST_ARCH),kfreebsd-amd64)
+MFSROOT_LIMIT := 72m
+endif
+
 define mkfs.ufs1
-  sh -c 'makefs -t ffs -s 42m -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
+  sh -c 'makefs -t ffs -s $(MFSROOT_LIMIT) -f 3000 -o minfree=0,version=1 $$0 ${TREE}'
 endef
 
 define e2fsck
   e2fsck -fy
-endef
-
-define mkcramfs
-  mkcramfs -z $(TREE)
 endef
 
 # Define MKFS_JFFS2 in the config file for your target.
@@ -230,6 +236,7 @@
 # Clean all targets.
 .PHONY: reallyclean
 reallyclean: all_clean
+	for png in $(shell awk -F= '/^SPLASH_PNG=/ {print $$2}' config/*.cfg); do if [ -f $${png%%.png}.svg ]; then rm -f $$png; fi; done
 	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
 	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
 	rm -rf $(UDEBDIR) $(STAMPS)
@@ -278,8 +285,9 @@
 release:
 	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
 		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
-	rm -f $(BASE_DEST)/MD5SUMS
-	cd $(BASE_DEST) && md5sum `find . -type f` > MD5SUMS
+	rm -f $(BASE_DEST)/MD5SUMS $(BASE_DEST)/SHA256SUMS
+	cd $(BASE_DEST) && md5sum `find -L . -type f` > MD5SUMS # XXX remove this
+	cd $(BASE_DEST) && sha256sum `find -L . -type f` > SHA256SUMS
 
 # The general tree target.
 $(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
@@ -332,20 +340,27 @@
 	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
 		if [ -f "$$udeb" ]; then \
 			pkg=`basename $$udeb` ; \
-			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
+			dpkg $(DPKG_UNPACK_OPTIONS) --path-include='*' --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
 			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
 			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
 			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
 			usedsize=`echo $$newsize - $$oldsize | bc`; \
 			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
 			usedcount=`echo $$newcount - $$oldcount | bc`; \
-			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
+			version=`dpkg-deb --info $$udeb | awk '/ Version: / { print $$2 }' | sed 's/+b[0-9]*$$//g'` ; \
+			source=`dpkg-deb --info $$udeb | awk '/ Source: / { print $$2 }'` ; \
+			if [ -z "$$source" ]; then \
+				source=`dpkg-deb --info $$udeb | awk '/ Package: / { print $$2 }'` ; \
+			fi ; \
 			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
+			echo "$$source (= $$version)" >>$(TEMP)/built-using.txt;\
 			oldsize=$$newsize ; \
 			oldblocks=$$newblocks ; \
 			oldcount=$$newcount ; \
 		fi; \
 	done
+	sort -u < $(TEMP)/built-using.txt > $(TEMP)/built-using.txt.new && \
+		mv $(TEMP)/built-using.txt.new $(TEMP)/built-using.txt
 	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
 		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
 	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
@@ -353,31 +368,3 @@
 		sort > $(TEMP_UDEB_LIST)
 
 	# Clean up after dpkg.
-	rm -rf $(DPKGDIR)/updates
-	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock
-
-ifdef EXTRAFILES
-	# Copy in any extra files.
-	set -e; \
-	for file in $(EXTRAFILES); do \
-		mkdir -p $(TREE)/`dirname $$file`; \
-		cp -a $$file $(TREE)/$$file; \
-	done
-endif
-
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-ifdef KERNELVERSION
-	# Set up modules.dep, ensure there is at least one standard dir (kernel
-	# in this case), so depmod will use its prune list for archs with no
-	# modules.
-	set -e; \
-	$(foreach VERSION,$(KERNELVERSION), \
-		sysmap_name=; sysmap_opt=; \
-		if [ -n "$(VERSIONED_SYSTEM_MAP)" ]; then \
-			[ ! -e $(TREE)/boot/System.map-$(VERSION) ] || sysmap_name="$(TREE)/boot/System.map-$(VERSION)"; \
-		else \
-			[ ! -e $(TREE)/boot/System.map ] || sysmap_name="$(TREE)/boot/System.map"; \
-		fi; \
-		[ -z "$$sysmap_name" ] || sysmap_opt="-F $$sysmap_name"; \
-		if [ -d $(TREE)/lib/modules/$(VERSION) ] && [ -z "$(OMIT_DEPMOD)" ]; then \
-			mkdir -p $(TREE)/lib/modules/$(VERSION)/kernel; \

=== debian/changelog ===
debian-installer (20130613) wheezy; urgency=low

  [ Samuel Thibault ]
  * Fix boot beep.

  [ Cyril Brulebois ]
  * Enable proposed updates in debian/rules for the wheezy point
    releases.
  * Set DEBIAN_VERSION to just '7'.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 13 Jun 2013 11:56:46 +0200

## debian-installer 20130613%2bdeb7u1

=== debian/changelog ===
debian-installer (20130613+deb7u1) wheezy; urgency=low

  [ Martin Michlmayr ]
  * Recognize QNAP TS-12x, TS-22x and TS-42x devices.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 09 Oct 2013 20:16:11 +0200

## debian-installer 20130613%2bdeb7u2

=== build/Makefile ===
--- 
+++ 
@@ -312,6 +312,7 @@
 	# Do this first to make possible warnings more visible.
 	@echo; \
 	if [ -f "$(TRANSSTATUS)" ]; then \
+		if [ "$(USE_PROPOSED_UPDATES)" != 1 ]; then \
 		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
 		if [ "$$olddate" ]; then \
 			if [ $$(( $$(date -u "+%s") - \
@@ -324,6 +325,7 @@
 		else \
 			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
 			sleep 15; \
+		fi; \
 		fi; \
 		mkdir -p $(TREE)/usr/share/localechooser; \
 		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
@@ -364,7 +366,3 @@
 	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
 		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
 	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
-		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
-		sort > $(TEMP_UDEB_LIST)
-
-	# Clean up after dpkg.

## debian-installer 20130613+deb7u2

=== debian/changelog ===
debian-installer (20130613+deb7u2) wheezy; urgency=low

  [ Martin Michlmayr ]
  * Add support for QNAP HS-210.  Thanks to Kevin Woldt for the patch.

  [ Cyril Brulebois ]
  * Disable translation-status check when proposed-updates is enabled.
    This file isn't going to be updated during stable's lifecycle, so
    avoid pointless warning and sleeping.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 Apr 2014 11:13:37 +0200

## debian-installer 20130613+deb7u3

=== build/Makefile ===
--- 
+++ 
@@ -65,6 +65,15 @@
 DEB_HOST_MULTIARCH = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export DEB_HOST_ARCH DEB_HOST_ARCH_OS DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM DEB_HOST_MULTIARCH
 endif
+
+define drop_lang
+	@echo "Dropping languages: $(1)"
+	@set -e; \
+	for FILE in $$(find $(TREE)/var/lib/dpkg -name "*.templates"); do \
+		perl -e 'my $$status=0; my $$drop=shift; while (<>) { if (/^[A-Z]/ || /^$$/) { if (/^(Choices|Description|Indices|Default)-($$drop)/ && ! /^Choices-C:/) { $$status = 0 } else { $$status = 1 } } print if ($$status); }' $(1) < $$FILE > temp; \
+		mv temp $$FILE; \
+	done
+endef
 
 # We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
 # via recursive make calls. ARCH is constant, we don't support
@@ -361,8 +370,3 @@
 			oldcount=$$newcount ; \
 		fi; \
 	done
-	sort -u < $(TEMP)/built-using.txt > $(TEMP)/built-using.txt.new && \
-		mv $(TEMP)/built-using.txt.new $(TEMP)/built-using.txt
-	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
-		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
-	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \

=== debian/changelog ===
debian-installer (20130613+deb7u3) wheezy; urgency=medium

  [ Didier Raboud ]
  * Use APT `apt-config dump`s result to determine where to find the
    system's sources.list (Closes: #775136)

  [ Cyril Brulebois ]
  * build/Makefile: Move the drop_lang definition to the top of the file to
    deal with incompatible changes in make 3.82 leading to the following
    error: “recipe commences before first target” (Closes: #720719).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 Sep 2015 15:11:42 +0200

=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>, Cyril Brulebois <kibi@debian.org>
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/d-i/debian-installer.git
Vcs-Browser: http://git.debian.org/?p=d-i/debian-installer.git;a=summary
Build-Conflicts: libnewt-pic [mipsel]
Build-Depends:
# Base build dependencies:
	debhelper (>= 7.0.0),
#		Of course.
	apt (>= 0.8.16),
# 		Used for downloading udebs.
	apt-utils,
# 		apt-ftparchive is used for including localudebs.
	gnupg,
#		New versions of apt need gnupg for security checks.
	debian-archive-keyring (>= 2006.11.22),
#		To provide the archive key for security checks.
	dctrl-tools,
#		Various manipulations of the udeb Packages files.
	wget,
#		Used to test validity of mirrors.
	bc,
#		Used for some image size calculations.
	debiandoc-sgml,
#		partman's manual is in debiandoc.
	xsltproc,
	docbook-xml,
	docbook-xsl,
#		The d-i internals manual is in DocBook XML.
	libbogl-dev,
#		For bdftobogl used in font reduction.
#	
# Library build dependencies:
	glibc-pic,
#		For library reduction.
	libslang2-pic (>= 2.0.6-4),
#		Make dependency versioned temporarily to make sure we avoid #392942
	libnewt-pic (>= 0.52.2-11.3) [!mipsel],
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
	libnewt-dev (>= 0.52.2-11.3) [mipsel],
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
	libgcc1 [i386 amd64],
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		calls in directfb. For now, this is done by setting EXTRAFILES.
# 
# Filesystem tools:
	genext2fs (>= 1.3-7.1),
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
	e2fsprogs,
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
	mklibs (>= 0.1.25),
#		We use mklibs for library reduction.
	genisoimage [!s390 !s390x],
#		For making mini isos.
	genromfs [sparc sparc64],
#		Used for creating sparc floppies (which are not built by
#		default.)
	hfsutils [powerpc],
#		For making bootable HFS USB sticks for powerpc.
	dosfstools [i386 ia64 m68k amd64],
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64 use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
	cpio,
#		For creating initramfs images.
	xz-utils,
#		For compressing initramfs images.
	devio [armeb armel],
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
	slugimage (>= 0.10+r58-6) [armeb armel],
#		For building nslu2 firmware images.
	dns323-firmware-tools [armel],
#		For building firmware images for the D-Link DNS-323.
	u-boot-tools [armel armhf],
#		For creating u-boot images
# 
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
	syslinux (>= 2:4.02) [i386 amd64],
#		With isohybrid.
	elilo [ia64],
	yaboot [powerpc],
#		For all our powerpc boot needs. Well, not really.
	aboot (>= 0.9b-2) [alpha],
#		A previous version didn't have netabootwrap.
	silo [sparc],
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
	sparc-utils [sparc sparc64],
#		For elftoaout and piggyback, to make netboot images.
	genisovh [mips],
#		Makes mini iso images bootable on SGI MIPSen.
	tip22 [mips],
#		Piggyback netboot images.
	colo [mipsel],
#		For booting Cobalt machines.
	sibyl [mips mipsel],
# 		For booting the SWARM board.
	atari-bootstrap [m68k],
#		Booting and other tools for Atari systems.
	vmelilo [m68k],
	m68k-vme-tftplilo [m68k],
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
	amiboot [m68k],
#		Bootloader for m68k/amiga machines.
	emile [m68k],
	emile-bootblocks [m68k],
#		Bootloader for m68k/mac machines.
	apex-nslu2 [armeb armel],
#		2nd stage bootloader for Linksys NSLU2.
	grub-efi-amd64-bin [amd64], grub-efi-ia32-bin [i386],
	grub-common [amd64 i386], xorriso,
#		Used to make EFI bootable images
# 
# Architecture specific build dependencies:
	tofrodos [i386 amd64 kfreebsd-i386 kfreebsd-amd64],
#		For todos, used on files that need to be accessible from
#		DOS.
	mtools [i386 ia64 m68k amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
# 
	module-init-tools [linux-any],
#		depmod for 2.6 kernels on the arches that support 2.6.
# 
	bf-utf-source [!s390 !s390x],
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
	mkvmlinuz [powerpc],
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
	openssl [armel],
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it.
	win32-loader (>= 0.7.2) [i386 amd64 kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Alternative boot method for win32 platforms.
	makefs [kfreebsd-any],
#		Used to create an UFS1 filesystem from a directory tree.
	grub-pc (>= 1.99-1~) [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#		Used as the CD-ROM's bootloader
	xorriso [kfreebsd-i386 kfreebsd-amd64 hurd-i386],
#               Used by grub-pc to create the CD-ROM images
	debian-ports-archive-keyring [sh4 sparc64],
#		Used for architectures hosted on debian-ports.org
	librsvg2-bin [any-amd64 any-i386],
#		Used to convert splash SVG to splash PNG during build

Package: debian-installer
Architecture: any
Built-Using: ${initrd:Built-Using}
Depends: ${misc:Depends}
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 BOOTMENU_BEEP=n
 else
 USE_UDEBS_FROM=wheezy
-USE_PROPOSED_UPDATES=0
+USE_PROPOSED_UPDATES=1
 TRANSSTATUS=translation-status
 BOOTMENU_BEEP=y
 endif
